### CFormCheck

```jsx
import { CFormCheck } from '@coreui/vue'
// or
import CFormCheck from '@coreui/vue/src/components/form/CFormCheck'
```

#### Props

| Prop name         | Description                                                                                   | Type                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                  | Values                  | Default    |
| ----------------- | --------------------------------------------------------------------------------------------- | ------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- | ----------------------- | ---------- |
| **button**        | Create button-like checkboxes and radio buttons.                                              | string({<br> /**<br> _ Sets the color context of the component to one of CoreUI’s themed colors.<br> _<br> _ @values 'primary', 'secondary', 'success', 'danger', 'warning', 'info', 'dark', 'light'<br> _/<br> color: Color,<br> /**<br> _ Select the shape of the component.<br> _<br> _ @values 'rounded', 'rounded-top', 'rounded-end', 'rounded-bottom', 'rounded-start', 'rounded-circle', 'rounded-pill', 'rounded-0', 'rounded-1', 'rounded-2', 'rounded-3'<br> _/<br> shape: Shape,<br> /**<br> _ Size the component small or large.<br> _<br> _ @values 'sm' \| 'lg'<br> _/<br> size: {<br> type: String,<br> default: undefined,<br> required: false,<br> validator: (value: string) => {<br> return ['sm', 'lg'].includes(value)<br> },<br> },<br> /**<br> _ Set the button variant to an outlined button or a ghost button.<br> _/<br> variant: {<br> type: String,<br> default: undefined,<br> required: false,<br> validator: (value: string) => {<br> return ['outline', 'ghost'].includes(value)<br> },<br> },<br>}) | -                       |            |
| **id**            | The id global attribute defines an identifier (ID) that must be unique in the whole document. | string                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                | -                       | -          |
| **indeterminate** | Input Checkbox indeterminate Property                                                         | boolean                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                               | -                       |            |
| **inline**        | Group checkboxes or radios on the same horizontal row by adding.                              | boolean                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                               | -                       |            |
| **invalid**       | Set component validation state to invalid.                                                    | boolean                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                               | -                       |            |
| **label**         | The element represents a caption for a component.                                             | string                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                | -                       | -          |
| **model-value**   | The default name for a value passed using v-model.                                            | boolean\|string                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                       | -                       |            |
| **type**          | Specifies the type of component.                                                              | string                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                | `'checkbox'`, `'radio'` | 'checkbox' |
| **valid**         | Set component validation state to valid.                                                      | boolean                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                               | -                       |            |

#### Events

| Event name             | Description                                           | Properties |
| ---------------------- | ----------------------------------------------------- | ---------- |
| **change**             | Event occurs when the checked value has been changed. |
| **update-model-value** | Emit the new value whenever there’s a change event.   |
